## bomstrip 9

=== debian/changelog ===
bomstrip (9-7) unstable; urgency=low

  * Remove the DM-Upload-Allowed flag since Damyan Ivanov was kind
    enough to grant me permission using the new dak mechanism.
  * Bump Standards-Version to 3.9.5 with no changes.
  * Update the copyright file to the copyright-format/1.0 format.
  * Bump the debhelper compatibility version to 9 with no changes.
  * Get the hardening options directly from dpkg-buildflags:
    - bump the build dependency on dpkg-dev to 1.16.1~
    - remove the build dependency on hardening-includes
    - no longer include the hardening Makefile snippet into the rules file
    - explicitly enable all the hardening features; they may be disabled
      in the future if bomstrip should fail to build anywhere
  * Enable parallel building - not that it matters a lot in this case :)
  * Use DEB_CFLAGS_MAINT_APPEND to append the warning compiler flags.
  * Add _POSIX_C_SOURCE and _XOPEN_SOURCE specifications, just in case.
  * Drop the explicit compression specification for the Debian tarball;
    it really does not matter for this package.

 -- Peter Pentchev <roam@ringlet.net>  Sun, 17 Nov 2013 14:52:55 +0200

bomstrip (9-6) unstable; urgency=low

  * Update the copyright file to the latest DEP 5 candidate format.
  * Bump Standards-Version to 3.9.2 with no changes.
  * Update the copyright file to the latest DEP 5 candidate format and
    fix the DEP 5 URL after the Alioth migration.
  * Specify Multi-Arch: foreign for the binary package, just in case.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 14 Jul 2011 19:04:00 +0300

bomstrip (9-5) unstable; urgency=low

  * The upstream site has moved, update the Homepage field, the watch file
    and the copyright file.
  * Update the copyright file to rev. 166 of the DEP 5 candidate.
  * Upload to unstable.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 08 Feb 2011 16:14:12 +0200

bomstrip (9-4) experimental; urgency=low

  * Switch to Git and point the Vcs-* fields to Gitorious.
  * We haven't been using dpatch for more than two years, so drop
    the executable permissions on the patch file.
  * Bump Standards-Version to 3.9.1 with no changes.
  * Switch to bzip2 compression for the Debian tarball.
  * Depend on a hardening package so that the build hardening is actually
    done in the automated builds, and use the hardening-includes package
    instead of hardening-wrapper so that the hardening flags are visible in
    CFLAGS and LDFLAGS.
  * Bump the debhelper compatibility level to 8 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 24 Dec 2010 15:02:51 +0200

bomstrip (9-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.0:
    - honor the "nocheck" build option and do not run dh_auto_test anyway
  * Simplify the rules file:
    - simplify the DEB_BUILD_HARDENING logic
    - move various dh_* command parameters out into separate debian/* files
    - use debhelper override rules
  * Fix a rules file bug: use LDFLAGS, not CFLAGS, to link a C program.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain default values for
    CFLAGS, CPPFLAGS, and LDFLAGS.
  * Convert to the 3.0 (quilt) source format.
  * Convert the copyright file to the latest DEP 5 format.
  * Convert the single patch's header to the DEP 3 format.
  * Shorten the Vcs-Browser URL and actually point it at the Debian package.
  * Honor CPPFLAGS.
  * Add DM-Upload-Allowed with Damyan Ivanov's permission.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 30 Jun 2010 08:35:48 +0300

bomstrip (9-2) unstable; urgency=low

  * Fix the short description.  Closes: #489795
  * Switch to quilt as Damyan Ivanov (dmn) suggested.
  * Fix some of the checks in my "C warnings fix" patch
  * Add two checks reported by the Debian hardening wrapper
  * Enable build hardening unless DEB_BUILD_OPTIONS contains "nohardening"
  * Use debhelper 7's features to minimize the rules file
  * Spell "Public Domain" as "PD", not "other", in the copyright file

  * debian/README.source
    - describe the usage of quilt, not dpatch
  * debian/changelog
    - use the "PD" name for the public domain license
  * debian/control
    - fix the short description.  Closes: #489795
    - build-depend on quilt, at least 0.40 for quilt.make
  * debian/patches/series
    - renamed from dpatch's 00list
  * debian/patches/01_c_warnings.patch
    - renamed from dpatch's 01_c_warnings.dpatch
    - refresh the patch with -p ab --no-index --no-timestamps
    - rewrite the header, dropping the dpatch-style comments
    - check the fwrite() return code for errors, found by the Debian
      hardening wrapper
    - restore the size_t type of nread and fix the signedness warning
      the right way - fread() may never return a negative value, but
      if it should returns zero, check for ferror()
  * debian/rules
    - use quilt.make and ${QUILT_STAMPFN} instead of dpatch's ones
    - enable build hardening unless DEB_BUILD_OPTIONS contains "nohardening"
    - use debhelper 7's "dh" wrapper to do most of the work

 -- Peter Pentchev <roam@ringlet.net>  Wed, 09 Jul 2008 13:40:31 +0300

bomstrip (9-1) unstable; urgency=low

  * Initial release.  Closes: #486425

 -- Peter Pentchev <roam@ringlet.net>  Fri, 27 Jun 2008 12:38:16 +0300
