=== debian/control ===
Source: bomstrip
Section: text
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>> 9), dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.5
Homepage: http://www.ueber.net/who/mjl/projects/bomstrip/
Vcs-Git: git://gitorious.org/bomstrip/pkg-debian.git
Vcs-Browser: http://gitorious.org/bomstrip/pkg-debian

Package: bomstrip
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to strip Byte-Order Marks from UTF-8 text files
 Bomstrip is a very simple tool that removes BOM's (byte-order-marks)
 from UTF-8 files.  UTF-8 does not have byte-ordering issues, so there
 is absolutely no need to have three bytes (the UTF-8-BOM) that do not
 say anything about the byte-order (since there is nothing to say).
