=== debian/watch ===
version=3
http://www.ueber.net/who/mjl/projects/bomstrip/ files/bomstrip-(.*)\.tgz
